Subject: bug#71853: 29.4; `kill-compilation` does not kill compilation process on Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Jul 2024 14:27:09 +0300

> From: Tze Chian Kam <[email-masked]>
> Date: Mon, 1 Jul 2024 12:53:51 +1000
> Cc: [email-masked]
> 
> > > Sorry, I used a Python file:
> > > ```
> > > import time
> > >
> > > while True:
> > >     print("active")
> > >     sleep(1)
> > > ```
> >
> > And how exactly did you invoke this?  Please show the complete
> > command you typed at the prompt of "M-x compile", because trying
> > to reproduce this (see below) I could't.
> 
> I did "M-x compile RET python loop.py RET". Also, when running this
> program, it does not output anything in the *compilation* buffer ("active"
> is not printed every second).

The fact that it doesn't print "active" is already a sign of some
problem.

Where did you download your Python from?  Is it a native Windows
executable, or something else, like Cygwin or MSYS2 build of Python?